Get KYC Statement

get/api/accounts/{cardholderAccountId}/partner-kyc-statement

Retrieve the KYC statement for the cardholder if it exists.

Request

Path Parameters

  • cardholderAccountIdstringrequired

    ID of the cardholder account.

Response

Successful operation.

Body application/json

  • accountIdstring

    The cardholder account id.

  • partnerAccountIdstring

    The partner account id that is affiliated with the cardholder.

  • createdAtstring

    Timestamp of KYC statement creation.

  • createdBystring

    The Immersve Resource Name (IRN) that created the resource.

  • idempotencyKeystring

    A client-supplied identifier that helps support idempotency for safely retrying requests without submitting the same statement twice (e.g. after a transient failure). This should change for each different version of the KYC statement you submit.

  • claimsobject[]

    A list of claims about the cardholder's identity.

    Items

    Any of

    • claimTypestring
      Allowed values:DOB

      The type of claim.

    • attributesobject

      The attributes that support the DOB claim.

      • dateOfBirthstringrequired

        The cardholder's date of birth formatted as YYYY-MM-DD

  • evidenceobject[]

    A list of evidence supporting the claimed identity. At least one piece of evidence is required.

    Items

    Any of

    • evidenceTypestringrequired
      Allowed values:PASSPORT

      The type of evidence.

    • documentIdstringrequired

      The passport number.

    • countrystringrequired

      ISO 3166-1 alpha-2 country code of the country that issued the document. See Supported Regions.

    • expirystringrequired

      The passport expiry formatted as YYYY-MM-DD.

  • regionstring

    An Alpha2 (ISO-3166-1) country code representing the country in which the user is being verified.